Bug 1258832 - [RFE] [ODL] [OSP-director] Support for OpenDaylight deployment
Summary: [RFE] [ODL] [OSP-director] Support for OpenDaylight deployment
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: puppet-tripleo
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: z2
: 10.0 (Newton)
Assignee: Tim Rozet
QA Contact: Itzik Brown
URL: https://blueprints.launchpad.net/trip...
Whiteboard: upstream_milestone_newton-3 upstream_...
Depends On: 1379152 1385302 1385303 1385304 1385305 1392751 1393562 1394861 1394865 1406472 1406479 1409070
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-09-01 11:36 UTC by Nir Yechiel
Modified: 2018-10-18 07:19 UTC (History)
20 users (show)

Fixed In Version: puppet-tripleo-5.2.0-1.el7ost openstack-tripleo-heat-templates-5.0.0-1.1.el7ost
Doc Type: Enhancement
Doc Text:
With this release, it is now possible to deploy neutron with the OpenDaylight ML2 driver and OpenDaylight L3 DVR service plugin (no OVS Agent or Neutron L3 Agent needed). A pre-defined environment file is provided for OpenDaylight deployments and can be found in `environments/neutron-opendaylight-l3.yaml` Note: The OpenDaylight controller itself is deployed and activated on the first overcloud controller node with default roles. OpenDaylight can also be deployed on a custom role. In addition, with this release there is no support for clustering of the OpenDaylight controller, so only a single instance may be deployed.
Clone Of:
Environment:
N/A
Last Closed: 2017-03-01 13:35:34 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:0357 normal SHIPPED_LIVE Red Hat OpenStack Platform 10 director Bug Fix Advisory 2017-03-01 18:32:13 UTC
OpenStack gerrit 335173 None None None 2016-08-10 11:48:25 UTC
OpenStack gerrit 355147 None None None 2016-08-14 07:27:17 UTC

Description Nir Yechiel 2015-09-01 11:36:07 UTC
This bug is for tracking the required work to enable OpenDyalight deployment using RHEL OSP director.

Comment 5 Jason Guiditta 2015-11-24 14:41:31 UTC
Split out the tht puppet patch into its own BZ, which blocks this RFE

Comment 7 Mike Burns 2016-04-07 20:47:27 UTC
This bug did not make the OSP 8.0 release.  It is being deferred to OSP 10.

Comment 8 Nir Yechiel 2016-08-10 11:48:26 UTC
Updating this bug as per the new Newton blueprint: https://blueprints.launchpad.net/tripleo/+spec/opendaylight-integration

Comment 9 Nir Yechiel 2016-08-27 15:04:02 UTC
Both puppet-tripleo and tht patches are merged.

Comment 10 Nir Yechiel 2016-08-30 12:15:43 UTC
Tim, Andrew,

Can you please review the doc text field? The idea is to provide a more detailed installation documentation, but this is just a high level exploitation of the feature - probably for a release notes?

Thanks,
Nir

Comment 11 Tim Rozet 2016-08-31 14:12:50 UTC
Looks fine to me Nir.  Added comments about pre-defined environment files.

Comment 12 Nir Yechiel 2016-08-31 14:14:41 UTC
Andrew,

Can you review the doc text?

Thanks,
Nir

Comment 15 Nir Yechiel 2016-10-16 05:39:06 UTC
This feature will be provided post RHOSP 10 GA to allow proper testing with OpenDaylight Boron SR1 (see BZ 1365857).

Comment 18 Tim Rozet 2017-01-09 19:16:49 UTC
I updated it a little.  I have a patch that removes the previous ODL L2 only stuff and makes opendaylight.yaml the default file for L3 as well.  So there ends up only being one env file.

Comment 23 Itzik Brown 2017-02-15 12:17:12 UTC
Verified with:
puppet-tripleo-5.5.0-3.el7ost.noarch
openstack-tripleo-heat-templates-5.2.0-3.el7ost.noarch

Comment 25 errata-xmlrpc 2017-03-01 13:35:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2017-0357.html


Note You need to log in before you can comment on or make changes to this bug.